from axelrod.action import Action
from axelrod.player import Player
IlIlIIIIIIlIl, IlllIIIlIIIl = Action.C, Action.D
class llIIIllIIII(Player):
    lIIlIIIIIlIlIl = "strategy"
    lllllIllllIlIlI = {
        "memory_depth": 6,
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def __init__(IlllIlIIlIIIIIIllIII) -> None:
        super().__init__()
        IlllIlIIlIIIIIIllIII.IIllIlIIIII = False
        IlllIlIIlIIIIIIllIII.IIIllIlIIlllIlIII = 0
    def lIlIllllIlIIllIII(IlllIlIIlIIIIIIllIII, llllIllIIIllIlI: Player) -> Action:
        if IlllIlIIlIIIIIIllIII.IIllIlIIIII:
            lIlIllllIlIIllIII = [IlllIIIlIIIl, IlllIIIlIIIl, IlllIIIlIIIl, IlIlIIIIIIlIl, IlIlIIIIIIlIl][IlllIlIIlIIIIIIllIII.IIIllIlIIlllIlIII]
            IlllIlIIlIIIIIIllIII.IIIllIlIIlllIlIII += 1
            if IlllIlIIlIIIIIIllIII.IIIllIlIIlllIlIII == 5:
                IlllIlIIlIIIIIIllIII.IIIllIlIIlllIlIII = 0
                IlllIlIIlIIIIIIllIII.IIllIlIIIII = False
            return lIlIllllIlIIllIII
        elif IlllIIIlIIIl in llllIllIIIllIlI.history[-1:]:
            IlllIlIIlIIIIIIllIII.IIllIlIIIII = True
            return IlllIIIlIIIl
        return IlIlIIIIIIlIl